Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510669 - Cockpit unbranded in Fedora Modular Server
Summary: Cockpit unbranded in Fedora Modular Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: 27
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ModularServer27GA F27ServerBetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-11-08 00:03 UTC by Adam Williamson
Modified: 2018-11-27 19:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 19:48:58 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-11-08 00:03:58 UTC
In Fedora Modular Server installs from current composes, Cockpit does not have Fedora branding, but generic upstream appearance.

Proposing as a Beta FE - this doesn't break anything functionally, but we intend for Cockpit to be Fedora branded out of the box.

Comment 1 Stephen Gallagher 2017-11-08 01:32:11 UTC
There are several bugs mixing in here.

1) Cockpit didn't know how to handle `ID=fedora-modular` in /etc/os-release, so it fell back to default branding. This is fixed in Cockpit 155

2) fedora-modular-release has both `NAME="Fedora Modular Server Edition"` and `VARIANT="Server Edition"` set in /etc/os-release, so when 1) is fixed, we end up with "Fedora Modular Server Edition Server Edition" on the login page. We need to drop " Server Edition" from NAME

3) Lastly, we are missing the fedora-logos package from the default install, which upon investigation is usually pulled in implicitly by the Fedora plymouth theme, but we're missing that as well. We need to make sure fedora-logs ends up on the install one way or another.

Comment 2 Stephen Gallagher 2017-11-08 01:45:22 UTC
(In reply to Stephen Gallagher from comment #1)
> 2) fedora-modular-release has both `NAME="Fedora Modular Server Edition"`
> and `VARIANT="Server Edition"` set in /etc/os-release, so when 1) is fixed,
> we end up with "Fedora Modular Server Edition Server Edition" on the login
> page. We need to drop " Server Edition" from NAME

Pull-request to make this change: https://src.fedoraproject.org/rpms/fedora-modular-release/pull-request/1

Comment 3 Stephen Gallagher 2017-11-15 12:51:15 UTC
This will be fixed once the platform module is rebuilt with the updated fedora-modular-release.

Comment 4 Stephen Gallagher 2017-11-20 21:08:48 UTC
This is now fixed as of compose Fedora-Modular-27-20171120.n.3

Comment 5 Ben Cotton 2018-11-27 18:06:16 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.